searchData={"items":[{"type":"module","title":"Highlight","doc":"Documentation for Highlight.","ref":"Highlight.html"},{"type":"module","title":"Install SDK - Highlight","doc":"In your `mix.exs` file:\n\n  ```elixir\n  defp deps do\n    [\n      ...\n      {:highlight, \"~> 0.1\"}\n    ]\n  end\n  ```","ref":"Highlight.html#module-install-sdk"},{"type":"function","title":"Highlight.handle_logger_event/4","doc":"","ref":"Highlight.html#handle_logger_event/4"},{"type":"function","title":"Highlight.init/0","doc":"Initialize the Highlight SDK with the given configuration.\nThis sets up Elixir for automatic log collection.","ref":"Highlight.html#init/0"},{"type":"function","title":"Examples - Highlight.init/0","doc":"iex> Highlight.init()","ref":"Highlight.html#init/0-examples"},{"type":"function","title":"Highlight.record_exception/4","doc":"Records an exception and captures relevant contextual information.\n\nThis function integrates with OpenTelemetry to report exceptions according to the OpenTelemetry exception reporting specification.\nIt allows you to manually record exceptions in your application, attaching additional context like session and request IDs if available.\nThis is useful for tracking errors across distributed systems and associating them with specific user sessions or requests.","ref":"Highlight.html#record_exception/4"},{"type":"function","title":"Parameters - Highlight.record_exception/4","doc":"- `e`: The exception to be recorded. This can be an exception struct, an error tuple, or any Elixir term that represents an error.\n  - `config`: A `%Highlight.Config{}` struct containing the configuration for the Highlight SDK. This includes the project ID, and optionally, the service name and service version.\n  - `session_id` (optional): A string representing the session ID associated with this exception, which can be used to trace the error back to a specific user session. Defaults to `nil`.\n  - `request_id` (optional): A string representing the request ID associated with this exception, which can be used to trace the error back to a specific HTTP request. Defaults to `nil`.","ref":"Highlight.html#record_exception/4-parameters"},{"type":"function","title":"Examples - Highlight.record_exception/4","doc":"```elixir\n  try do\n    # some code that may raise an error\n  rescue\n    exception ->\n      Highlight.record_exception(exception, %Highlight.Config{\n        project_id: \"your_project_id\",\n        service_name: \"your_service_name\",\n        service_version: \"1.0.0\"\n      }, \"session_12345\", \"request_67890\")\n  end\n  ```","ref":"Highlight.html#record_exception/4-examples"},{"type":"module","title":"Highlight.Config","doc":"","ref":"Highlight.Config.html"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.36.1"}}